%define module  DBD-PgSPI
%define	pdir	DBD-PgSPI

Summary:	PL/Perl PostgreSQL database driver for the DBI module
Name:		perl-%{module}
Version:	0.02
Release:	%mkrel 11
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Patch0:		perl-%{module}.includedir.patch
Patch1:		DBI2.patch
Url:		http://search.cpan.org/search?dist=%{module}
BuildRequires:	perl-devel 
BuildRequires:  perl-DBI
BuildRequires:  postgresql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DBD::PgSPI is a Perl module which works with the DBI module to provide access
to PostgreSQL database from within pl/perl functions inside the database.

If you are looking for a way to access postgresql database from a perl script
running outside of your database, look at DBD::Pg, you cannot use this module.
This module is only intended for use by stored procedures written in 'plperl'
programming language running inside PostgreSQL.

%prep

%setup -q -n %{module}-%{version}
%patch0 -p0 -b .includedir
%patch1 -p0 -b .dbi2

%build
export POSTGRES_HOME=%{_includedir}/postgresql

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
# Skipping make test, because it try to connect to a local DB
# make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README 
%{_mandir}/man*/*
%{perl_vendorlib}/*


%changelog
* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.02-11mdv2009.0
+ Revision: 289453
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.02-8mdv2008.1
+ Revision: 152055
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 27 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-7mdv2008.1
+ Revision: 102500
- Patch1: fix compilation against latest DBI driver


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 22:58:41 (53723)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 22:57:36 (53722)
Import perl-DBD-PgSPI

* Sun Apr 30 2006 Olivier Thauvin <nanardon@mandriva.org> 0.02-4mdk
- rebuild

* Sun Apr 17 2005 Olivier Thauvin <nanardon@mandrake.org> 0.02-3mdk
- rebuild against latest postgres

* Sun Mar 13 2005 Olivier Thauvin <nanardon@mandrake.org> 0.02-2mdk
- BuildRequires

* Sat Mar 12 2005 Olivier Thauvin <nanardon@mandrake.org> 0.02-1mdk
- make a specfile

